# QCA::TLSContext::SessionInfo Class Reference
[QCA provider API]

Information about an active TLS connection. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::TLSContext::SessionInfo:

[legend]

List of all members.

## Public Attributes

int | cipherBits
int | cipherMaxBits
QString | cipherSuite
TLSSessionContext * | id
bool | isCompressed
TLS::Version | version

## Detailed Description

Information about an active TLS connection.

For efficiency and simplicity, the members are directly accessed.

## Member Data Documentation

int QCA::TLSContext::SessionInfo::cipherBits

The bit size of the cipher used for this connection.

int QCA::TLSContext::SessionInfo::cipherMaxBits

The maximum bit size possible of the cipher used for this connection.

QString QCA::TLSContext::SessionInfo::cipherSuite

The cipher suite being used for this connection.

See also:
  TLSContext::supportedCipherSuites()

TLSSessionContext* QCA::TLSContext::SessionInfo::id

Pointer to the id of this TLS session, for use with resuming.

bool QCA::TLSContext::SessionInfo::isCompressed

True if the TLS connection is compressed, otherwise false.

TLS::Version QCA::TLSContext::SessionInfo::version

The TLS protocol version being used for this connection.

The documentation for this class was generated from the following file:

- qcaprovider.h